<?php

require("autentificare.php");
$id_articol = getuserdata('id_articol', 0);
$id_modul = getuserdata('id_modul', 0);
$id_meniu = getuserdata('id_meniu', 0);
require("pagecomponents.php");

if (!$connected)
{
    writepagetitle();
    writepagetop();
    echo 'Bun venit pe pagina BizMedica. Din păcate, serverul nostru este oprit momentan. Vă rugăm să reveniți mai târziu.';
}
else
{
    if ( (!$id_meniu) && (!$id_articol) && (!$id_modul) ) $id_meniu = 1;
    if ($id_meniu)
    {
        $q = mysql_query("SELECT * FROM meniu WHERE id = $id_meniu");
        if ($r = mysql_fetch_assoc($q))
        {
            if ($r['id_articol']) 
                $id_articol = $r['id_articol'];
            else if ($r['id_modul'])
            	$id_modul = $r['id_modul'];
            else
            {
                $q1 = mysql_query("SELECT * FROM meniu WHERE id_parinte = {$r['id']}");
                if ($r1 = mysql_fetch_assoc($q1))
                {
                    if ($r1['id_articol'])
                        $id_articol = $r1['id_articol'];
                    if ($r1['id_meniu'])
                        $id_meniu = $r1['id_meniu'];
                    if ($r1['id_modul'])
                        $id_modul = $r1['id_modul'];
                }
            }
            if ($r['imagine_antet'])
                $imagine_antet = $r['imagine_antet'];
            if ($r['id_modul'])
                $id_modul = $r['id_modul'];
        }
    }
    if ($id_modul)
    {
        $q = mysql_query("SELECT * FROM module WHERE id = $id_modul");
        if ($r = mysql_fetch_assoc($q))
        {
            $modul = $r['modul'];
            require($modul);
            procesare_modul();
        }
        else
            $modul = '';
    }
    else $modul = '';
    writepagetitle();
    if ($modul) scripturi_modul();
    writeinfolayer();
    writepagetop();
    if ($modul)
    {
        echo "<div class='article'>";
        afisare_modul();
        echo "</div>";
    }
    elseif ($id_articol)
    {
        echo "<div class='articol'>";
        $q = mysql_query("SELECT * FROM articole WHERE id = $id_articol");
        if ($r = mysql_fetch_assoc($q))
        {
        	if ($r['titlu'] !== '')
        	{
				switch ($r['aspect_titlu'])
				{
					case 1: echo "<h1>{$r['titlu']}</h1>"; break;
					case 2: echo "<h2>{$r['titlu']}</h2>"; break;
				}
			}
            echo $r['articol'];
        }
        else
            echo "Articolul nu poate fi deschis.";
        echo "</div>";
    }
    else
    {
        echo 'Bun venit pe pagina BizMedica.';
    }
}

writepagebottom();
?>